/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __JPROXYGW_EVENTS_H__
#define __JPROXYGW_EVENTS_H__

#define EVENT_PROXY_INIT		0
#define EVENT_PROXY_INIT_COMPLETE	1
#define EVENT_PROXY_INIT_CONFIG		2
#define EVENT_PROXY_REREAD_CONFIG	3
#define EVENT_PROXY_CLOSE		4

#define EVENT_PROXY_MAX			4

typedef int(*event_func_t)(struct proxyinfo*);

struct event_t {
	int event;
	event_func_t event_func;
	char* description;
};

void event_init(void);
void event_deinit(void);
int event_register(int event, event_func_t, char* description);
int event_fire(int event, struct proxyinfo*);

#endif

